import request from '@/utils/request'

// 河南资源一张图-预警分析-左上-资源处置预警(分页)
export function resourceFisposalWarning (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/resourceWarning/zyczyj',
    method: 'get',
    params: query
  })
}

// 河南资源一张图-预警分析-左下-资源长期闲置预警
export function longTermIdleResourceWarning (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/resourceWarning/zccqxzyj',
    method: 'get',
    params: query
  })
}

// 河南资源一张图-预警分析-右上-合同结款到期预警(分页)
export function contractPaymentDueWarning (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/resourceWarning/htjkdqyj',
    method: 'get',
    params: query
  })
}

// 河南资源一张图-预警分析-右中-合同到期预警
export function contractExpirationWarning (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/resourceWarning/htdqyj',
    method: 'get',
    params: query
  })
}

// 河南资源一张图-预警分析-右下-合同长期未执行预警
export function longTermContractNonExecutionWarning (deptId, year) {
  let query = {
    deptId,
    year
  }
  return request({
    url: 'api/home/xixia/resourceWarning/htcqwzxyj',
    method: 'get',
    params: query
  })
}
